Subject: bug#17365: 24.3; Visiting tags table in combination with fill column indicator causes Emacs to hang

From: Stefan Monnier <[email-masked]>
Date: Tue, 29 Apr 2014 14:10:49 -0400

> I have since done additional testing and the recipe, as stated is
> insufficient. There is something specific in my working directory that
> is causing this issue, and just any mercurial repository won't do. I
> am currently trying to track down precisely what in the directory is
> triggering the bug. When I have additional information I will report
> it to this ticket. Unfortunately, I am unable to share the repository
> required to trigger the issue.

Please (setq debug-on-event 'sigusr2) and then use "kill -USR2 <pid>"
while Emacs is frozen, so as to try and get a backtrace, which will help
us figure out what Emacs is doing while "frozen",

        Stefan